# $Revision: 1.76 $, $Date: 2011/11/17 19:53:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	URI
%define		pnam	URI
Summary:	URI - Uniform Resource Identifiers (absolute and relative)
Summary(pl.UTF-8):	URI - obsługa ujednoliconych identyfikatorów zasobów (bezwzględnych i względnych)
Summary(ru.UTF-8):	URI - Uniform Resource Identifier (URI) ссылки, как указывает RFC 2396
Summary(uk.UTF-8):	URI - посилання Uniform Resource Identifier (URI) як визначено в RFC 2396
Name:		perl-URI
Version:	1.59
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/URI/GAAS/%{pnam}-%{version}.tar.gz
# Source0-md5:	fecebf8fa20e2d26ea4a1649c095e96e
URL:		http://search.cpan.org/dist/URI/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Encode
BuildRequires:	perl-MIME-Base64
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Business::ISBN)'

%description
This package contains the URI.pm module with friends. The module
implements the URI class. Objects of this class represent Uniform
Resource Identifier (URI) references as specified in RFC 2396.

%description -l ru.UTF-8
Этот пакет содержит URI.pm и сопутствующие модули. Модуль реализует
Uniform Resource Identifier (URI) ссылки, как указывает RFC 2396.

%description -l pl.UTF-8
Ten pakiet zawiera moduł URI dla Perla. Służy on do obróbki
ujednoliconych identyfikatorów zasobów (URI - Uniform Resource
Identifier), zgodnych z RFC 2396.

%description -l pt_BR.UTF-8
Módulo Perl URI - Este pacote contém o modulo URI.pm para manipular
"Uniform Resource Identifier" (URI) confirme especificado na RFC 2396.

%description -l uk.UTF-8
Цей пакет містить URI.pm та потрібні для нього модулі. Модуль реалізує
посилання Uniform Resource Identifier (URI) як зазначено в RFC 2396.

%prep
%setup -q -n %{pnam}-%{version}
mv t/heuristic.t{,.blah}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/URI
%{perl_vendorlib}/URI.pm
%{_mandir}/man3/URI*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-URI.spec,v $
Revision 1.76  2011/11/17 19:53:14  qboosh
- updated to 1.59

Revision 1.75  2011/01/24 13:43:52  caleb
- Up to 1.58

Revision 1.74  2010/12/06 05:11:48  qboosh
- unified

Revision 1.73  2010/11/05 11:32:08  caleb
- Up to 1.56

Revision 1.72  2010/05/19 18:10:59  sparky
- tests BR: perl-Encode

Revision 1.71  2010/05/19 18:06:14  qboosh
- updated to 1.54

Revision 1.70  2009/10/16 07:49:38  amateja
 -updated to 1.40

Revision 1.69  2008/07/18 19:58:50  adamg
- updated to 1.37

Revision 1.68  2008-03-03 01:27:43  wolvverine
- rel.3

Revision 1.67  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.66  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.65  2006/10/09 12:24:52  qboosh
- added URL

Revision 1.64  2005/05/10 09:14:17  adamg
- release 2 for Th

Revision 1.63  2004/12/03 14:45:01  radek
- autoupdated to 1.35

Revision 1.62  2004/11/03 22:30:53  paladine
- formatting

Revision 1.61  2004/10/23 23:03:38  qboosh
- updated to 1.34

Revision 1.60  2004/09/18 13:56:04  radek
- turned off t/heuristic.t (fails, because www.perl.co.uk died ;-> )

Revision 1.59  2004/09/18 11:10:16  radek
- version 1.32, NOTE: 7th test from heuristic.t fails

Revision 1.58  2004/06/10 17:36:03  adamg
- updated to 1.31

Revision 1.57  2004/05/06 18:43:24  ankry
- fixed perl-devel BR

Revision 1.56  2004/05/03 23:39:22  ankry
- license fix, cosmetics

Revision 1.55  2004/01/25 00:11:56  arekm
- autoupdated to 1.30

Revision 1.54  2004/01/13 12:46:14  trojan
- updated to 1.29

Revision 1.53  2003/12/07 20:06:24  migo
- up to 1.28

Revision 1.52  2003/10/06 19:48:39  migo
- up to 1.27
- new bcond style

Revision 1.51  2003/10/04 13:39:04  gotar
- fixed bcond

Revision 1.50  2003/08/20 21:23:36  grzegol
- updated to 1.25

Revision 1.49  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.48  2003/07/30 23:15:16  grzegol
- updated to 1.24

Revision 1.47  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.46  2003/05/25 06:25:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.45  2003/05/10 20:45:53  radek
- do not BR: perl (whatever is required, should be autogenerated)

Revision 1.44  2003/04/11 18:59:39  radek
- BR: perl-devel; do not BR: perl

Revision 1.43  2003/03/01 19:09:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.42  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.41  2003/02/19 15:21:30  ankry
- autoupdated to 1.23

Revision 1.40  2003/02/18 15:39:06  ankry
- massive attack: change CPAN URLs

Revision 1.39  2002/09/09 22:41:50  qboosh
- pl summary, release 3

Revision 1.38  2002/09/09 16:22:35  radek
- fixed License field, provided informative en summary, release 2

Revision 1.37  2002/09/08 11:03:02  radek
- version 1.22

Revision 1.36  2002/08/09 00:35:00  radek
- added conditional tests
- version 1.21

Revision 1.35  2002/07/16 11:37:52  ankry
- translations, cleaning
- release 2

Revision 1.34  2002/07/12 16:39:54  kloczek
- merge translatons from KSI.

Revision 1.33  2002/07/11 22:20:11  qboosh
- new %%doc and cosmetics

Revision 1.32  2002/07/11 08:06:02  depesz
- new version; should work; STBR

Revision 1.31  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.30  2002/03/03 22:00:24  marcus
- rel.2

Revision 1.29  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/10 15:37:16  depesz
adapterized

Revision 1.27  2002/01/26 15:02:45  kloczek
- updated to 1.18 (bugfix release),
- merged translation from Conectiva.

Revision 1.26  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.24  2001/09/20 11:39:38  mis
- autoupdated to 1.17

Revision 1.23  2001/09/08 07:44:22  kloczek
- updated to 1.16.

Revision 1.22  2001/07/25 09:15:16  mis
- autoupdated to 1.15

Revision 1.21  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.20  2001/05/06 17:19:04  mis
- autoupdated to 1.12

Revision 1.19  2001/04/17 12:18:04  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.18  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.17  2001/02/28 19:12:27  mis
- updated (by autoup) to 1.11

Revision 1.16  2001/02/03 20:10:01  kloczek
- updated to 1.10.

Revision 1.15  2001/01/26 02:25:43  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.14  2000/08/27 13:55:17  kloczek
- updated to 1.09.

Revision 1.13  2000/08/10 21:04:11  kloczek
- updated to 1.08.

Revision 1.12  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.10  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.8  2000/02/19 22:57:59  pius
- updated to 1.05

Revision 1.7  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.6  1999/10/23 11:35:08  wiget
Release ++

Revision 1.5  1999/10/23 11:27:43  wiget
- %%include /usr/lib/rpm/macros.perl
- BuildRequires: rpm-perlprov

Revision 1.4  1999/09/15 02:21:51  wiget
- release 2

Revision 1.3  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.2  1999/08/28 12:10:10  wiget
- modified for perl 5.005_61

Revision 1.1  1999/07/13 08:15:41  wiget
initial version
